use crate::Route;
use dioxus::prelude::*;

pub mod members;
pub mod users;

#[component]
pub fn Admin() -> Element {
    rsx! {
        div {
            class: "w-full max-w-2xl space-y-3",
            div {
                class: "group join-vertical",
                Link {
                    class: "btn join-item w-full justify-start rounded-b-none",
                    to: Route::Users {},
                    "Gebruikers beheer"
                },
                div { class: "divider join-item my-0 h-min"  },
                Link {
                    class: "btn join-item w-full justify-start rounded-t-none",
                    to: Route::Members {},
                    "Leden beheer"
                },
            }
        },
    }
}
