use dioxus::prelude::*;

use super::icons;
use crate::Route;

#[component]
pub fn Navbar() -> Element {
    rsx! {
        div {
            class: "bg-base-200 min-h-16 flex justify-center",
            div {
                class: "flex items-center justify-around max-w-lg w-full",
                Link {
                    to: Route::Home {},
                    class: "btn btn-ghost flex-col flex-nowrap py-1 gap-1 font-normal h-max",
                    icons::Home {},
                    "Home"
                },
                Link {
                    to: Route::MessagesPage {},
                    class: "btn btn-ghost flex-col flex-nowrap py-1 gap-1 font-normal h-max",
                    icons::Newspaper {},
                    div { class: "font-normal", "Berichten" }
                },
                Link {
                    to: Route::Agenda {},
                    class: "btn btn-ghost flex-col flex-nowrap py-1 gap-1 font-normal h-max",
                    icons::Calendar {},
                    span { class: "font-normal", "Agenda" }
                },
            }
        }
    }
}
