use crate::Route;
use dioxus::prelude::*;

use super::icons;
use crate::util::model::user::User;

#[component]
pub fn Topbar() -> Element {
    let user_state = use_context::<Signal<Option<User>>>();
    let user = user_state().unwrap();

    rsx! {
        div {
            class: "navbar bg-base-200 px-3",
            div {
                class: "flex-1",
                span { class: "text-xl font-bold", "WRB" }
            }
            div {
                class: "flex-none gap-2",
                if user.admin {
                    Link {
                        class: "btn btn-ghost font-normal",
                        to: Route::Admin {},
                        "Administration"
                    }
                }
                Link {
                    class: "btn btn-square btn-ghost",
                    to: Route::Settings {},
                    icons::Cog {}
                }
            }
        }
    }
}
