use super::Steps;
use dioxus::prelude::*;

#[component]
pub fn Content(step: Signal<Steps>, title: Signal<String>, body: Signal<String>) -> Element {
    let submit = move |event: FormEvent| {
        title.set(event.values()["title"].as_value());
        body.set(event.values()["body"].as_value());
        step.set(Steps::Targets);
    };

    rsx! {
        form {
            class: "flex flex-col w-full gap-y-5",
            onsubmit: submit,
            h2 { class: "text-xl", "Bericht inhoud" },
            label {
                class: "form-control w-full",
                div {
                    class: "label",
                    span { class: "label-text", "Titel" }
                },
                input {
                    r#type: "text",
                    required: true,
                    name: "title",
                    class: "input input-bordered w-full",
                }
            }
            label {
                class: "form-control w-full",
                div {
                    class: "label",
                    span { class: "label-text", "Bericht" }
                },
                textarea {
                    name: "body",
                    class: "textarea textarea-bordered w-full",
                    required: true,
                }
            },
            div {
                class: "w-full flex gap-x-3 justify-end",
                input {
                    r#type: "submit",
                    class: "btn btn-primary",
                    value: "Volgende",
                }
            }
        }
    }
}
