use super::Steps;
use dioxus::prelude::*;

#[component]
pub fn Verify(
    step: Signal<Steps>,
    title: Signal<String>,
    body: Signal<String>,
    amount: Signal<usize>,
) -> Element {
    let submit = move |_event: FormEvent| {
        step.set(Steps::Targets);
    };

    rsx! {
        form {
            class: "flex flex-col w-full gap-y-5",
            onsubmit: submit,
            h2 { class: "text-xl", "Stuur onderstaand bericht naar {amount} leden" },
            div {
                class: "card bg-base-200 w-full",
                div {
                    class: "card-body",
                    h2 { class: "card-title", "{title}" }
                    p { "{body}" }
                }
            },
            div {
                class: "w-full flex gap-x-3 justify-end",
                input {
                    r#type: "submit",
                    class: "btn btn-primary",
                    value: "Volgende",
                }
            }
        }
    }
}
